Skip to content

User Groups

All operations require authentication.

8 operationsv1/me/identity
Agent setup

Retrieve all IAM groups of this accountProduction

GET
/1.0/me/identity/group

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a new IAM groupProduction

POST
/1.0/me/identity/group

Request body (required)

description
string

Group's description

name
required
string

Group's name

role
RoleEnum

Group's role

ValuesADMINNONEREGULARUNPRIVILEGED

Response

200Groupsuccessful operation
creation
read-only
stringdate-time

Creation date of this group

defaultGroup
read-only
boolean

Whether it is a default group. This kind of group can't be edited or deleted

description
string

Group's description

lastUpdate
read-only
stringdate-time

Last update of this group

name
read-only
string

Group's name

role
RoleEnum

Group's role

ValuesADMINNONEREGULARUNPRIVILEGED
urn
read-only
string

IAM identity URN of the group

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "defaultGroup": true, "description": "string", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "role": "ADMIN", "urn": "string"}

Get an IAM groupProduction

GET
/1.0/me/identity/group/{group}

Path parameters

group
required
string

Group

Response

200Groupsuccessful operation
creation
read-only
stringdate-time

Creation date of this group

defaultGroup
read-only
boolean

Whether it is a default group. This kind of group can't be edited or deleted

description
string

Group's description

lastUpdate
read-only
stringdate-time

Last update of this group

name
read-only
string

Group's name

role
RoleEnum

Group's role

ValuesADMINNONEREGULARUNPRIVILEGED
urn
read-only
string

IAM identity URN of the group

Example uses group = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group/{group} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "defaultGroup": true, "description": "string", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "role": "ADMIN", "urn": "string"}

Alter an IAM groupProduction

PUT
/1.0/me/identity/group/{group}

Path parameters

group
required
string

Group

Request body (required)

creation
read-only
stringdate-time

Creation date of this group

defaultGroup
read-only
boolean

Whether it is a default group. This kind of group can't be edited or deleted

description
string

Group's description

lastUpdate
read-only
stringdate-time

Last update of this group

name
read-only
string

Group's name

role
RoleEnum

Group's role

ValuesADMINNONEREGULARUNPRIVILEGED
urn
read-only
string

IAM identity URN of the group

Response

200—successful operation

Example uses group = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group/{group} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete an IAM groupProduction

DELETE
/1.0/me/identity/group/{group}

Path parameters

group
required
string

Group

Response

200—successful operation

Example uses group = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group/{group} \
  -H "authorization: Bearer $OVH_TOKEN"

List the users of this groupProduction

GET
/1.0/me/identity/group/{group}/user

Path parameters

group
required
string

Group

Response

200string[]successful operation

Example uses group = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group/{group}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Add a user to the groupProduction

POST
/1.0/me/identity/group/{group}/user

Path parameters

group
required
string

Group

Request body (required)

user
string

Username to add to the group

Response

200—successful operation

Example uses group = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group/{group}/user \
  -H "authorization: Bearer $OVH_TOKEN"

Remove a user from the groupProduction

DELETE
/1.0/me/identity/group/{group}/user/{user}

Path parameters

group
required
string

Group

user
required
string

User

Response

200—successful operation

Example uses group = string, user = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/group/{group}/user/{user} \
  -H "authorization: Bearer $OVH_TOKEN"